Multiple Vulnerabilities in Google Android OS Could Allow for Remote Code Execution

ITS Advisory Number: 
2020-136
Date(s) Issued: 
Tuesday, October 6, 2020
Subject: 
Multiple Vulnerabilities in Google Android OS Could Allow for Remote Code Execution
Overview: 

Multiple vulnerabilities have been discovered in the Google Android operating system (OS), the most severe of which could allow for remote code execution. Android is an operating system developed by Google for mobile devices, including, but not limited to, smartphones, tablets, and watches. Successful exploitation of the most severe of these vulnerabilities could allow for remote code execution within the context of a privileged process. Depending on the privileges associated with this application, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. If this application has been configured to have fewer user rights on the system, exploitation of the most severe of these vulnerabilities could have less impact than if it was configured with administrative rights.

 

THREAT INTELLIGENCE:

There are currently no reports of these vulnerabilities being exploited in the wild.

 

Systems Affected: 
  • Android OS builds utilizing Security Patch Levels issued prior to October 5, 2020

RISK
GOVERNMENT
Large and medium government entities: 
High
Small government entities: 
High
BUSINESS
Large and medium business entities: 
High
Small business entities: 
High
Home Users: 
High
Description: 

Multiple vulnerabilities have been discovered in Google Android OS, the most severe of which could allow for remote code execution within the context of a privileged process. Details of these vulnerabilities are as follows: 

  • A vulnerability in Android runtime that could allow for Escalation of Privileges (CVE-2020-0408)

  • Multiple vulnerabilities in Framework that could allow for Escalation of Privileges (CVE-2020-0420, CVE-2020-0421)

  • Multiple vulnerabilities in Framework that could allow for Information Disclosure (CVE-2020-0246, CVE-2020-0412, CVE-2020-0419)

  • A vulnerability in Media Framework that could allow for Escalation of Privileges (CVE-2019-2194)

  • Multiple vulnerabilities in Media Framework that could allow for Information Disclosure (CVE-2020-0213, CVE-2020-0411, CVE-2020-0414)

  • Multiple vulnerabilities in System that could allow for Escalation of Privileges (CVE-2020-0215, CVE-2020-0416)

  • Multiple vulnerabilities in System that could allow for Information Disclosure (CVE-2020-0377, CVE-2020-0378, CVE-2020-0398, CVE-2020-0400, CVE-2020-0410, CVE-2020-0413, CVE-2020-0415, CVE-2020-0422)

  • A vulnerability in Kernel that could allow for Escalation of Privileges (CVE-2020-0423)

  • Multiple high severity vulnerabilities in MediaTek components (CVE-2020-0283, CVE-2020-0339,  CVE-2020-0367, CVE-2020-0371, CVE-2020-0376)

  • Multiple high severity vulnerabilities in Qualcomm components (CVE-2020-11125, CVE-2020-11162, CVE-2020-11173, CVE-2020-11174)

  • Multiple critical severity vulnerabilities in Qualcomm closed-source components (CVE-2020-3654, CVE-2020-3657, CVE-2020-3673, CVE-2020-3692, CVE-2020-11154, CVE-2020-11155)

  • Multiple high severity vulnerabilities in Qualcomm closed-source components (CVE-2020-3638, CVE-2020-3670, CVE-2020-3678, CVE-2020-3684, CVE-2020-3690, CVE-2020-3703, CVE-2020-3704, CVE-2020-11141, CVE-2020-11156, CVE-2020-11157, CVE-2020-11164, CVE-2020-11169) 

Successful exploitation of the most severe of these vulnerabilities could allow for remote code execution in the context of a privileged process. These vulnerabilities could be exploited through multiple methods such as email, web browsing, and MMS when processing media files. Depending on the privileges associated with the application, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. If this application has been configured to have fewer user rights on the system, exploitation of the most severe of these vulnerabilities could have less impact than if it was configured with administrative rights.

 

Actions: 
  • After appropriate testing, immediately apply updates by Google Android or mobile carriers to vulnerable systems.

  • Remind users to only download applications from trusted vendors in the Play Store.

  • Remind users not to visit un-trusted websites or follow links provided by unknown or un-trusted sources.

  • Inform and educate users regarding threats posed by hypertext links contained in emails or attachments, especially from un-trusted sources.

References: 

Google Android:
https://source.android.com/security/bulletin/2020-10-01.html

CVE:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2194
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0213
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0215
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0246
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0283
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0339
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0367
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0371
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0376
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0377
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0378
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0398
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0400
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0408
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0410
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0411
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0412
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0413
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0414
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0415
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0416
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0419
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0420
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0421
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0422
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0423
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3638
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3654
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3657
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3670
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3673
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3678
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3684
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3690
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3692
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3703
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3704
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11125
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11141
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11154
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11155
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11156
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11157
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11162
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11164
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11169
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11173
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11174